diff -u -urN vpnclient-linux-3.6.1-gwdg/interceptor.c vpnclient-linux-3.6.1-te/interceptor.c
--- vpnclient-linux-3.6.1-gwdg/interceptor.c	Tue Sep  3 21:12:16 2002
+++ vpnclient-linux-3.6.1-te/interceptor.c	Mon Sep 30 10:33:41 2002
@@ -3,11 +3,19 @@
 ***************************************************************************
 *
 *  File:    interceptor.c
-*  Date:    04/10/2001
+*  Date:    04/10/2001 modified 05/04/2002
 *
 ***************************************************************************
 * This module implements the linux driver.
 ***************************************************************************/
+
+
+/* Dieses File gegen die Original interceptor.c austauchen. Danach File
+   editieren und nach "HIER AENDERN" suchen (kommt 2 mal im Source vor). 
+   Dort jeweils die Interfaces eintragen, die nicht deaktiviert werden sollen.
+*/
+
+
 #include <linux/version.h>
 #include <linux/config.h>
 #include <linux/autoconf.h>
@@ -126,7 +134,7 @@
     }
     if (status == 0) {
         printk(KERN_INFO "Cisco Systems VPN Client Version "
-               BUILDVER_STRING " kernel module loaded\n");
+               BUILDVER_STRING " kernel module loaded (no interface deactivating)\n");
     }
     return (status);
 }
@@ -313,6 +321,31 @@
         if (strcmp(LINUX_VPN_IFNAME, dp->name) == 0) {
             continue;
         }
+        
+        
+        
+        
+        /* HIER AENDERN: Die If-Schleife fuer alle Interfaces eintragen,
+                         die nicht deaktiviert werden sollen */
+        
+        
+           if (strcmp("wvlan1", dp->name) == 0) {
+               continue;
+           }
+           if (strcmp("eth0", dp->name) == 0) {
+               continue;
+           }
+           if (strcmp("eth0:1", dp->name) == 0) {
+               continue;
+           }
+        
+        /* Ende der Aenderungen */
+        
+        
+        
+        
+        
+        
         if (strcmp("lo", dp->name) == 0) {
             /*bind to loopback so we can inject UDP packets
              *for IPC, but don't change the xmit function
@@ -323,11 +356,6 @@
             Bindings[num_target_devices].pPT = original_ip_handler.pt;
             continue;
         }
-
-        /* Don't handle non-eth non-ppp devices */
-        if(strncmp(dp->name,"eth",3) && strncmp(dp->name,"ppp",3)) {
-            continue;
-        }
         if (num_target_devices >= MAX_DEVICES) {
             printk(KERN_DEBUG "exceeded max network devices (%d) at dev %s",
                    MAX_DEVICES,dp->name);
@@ -445,20 +473,43 @@
     ULONG ulFinalPacketSize;
     BINDING *pBinding = NULL;
     struct ethhdr ppp_dummy_buf;
-
-
+    
+   
+   
+   
+    
+    
+    /* HIER AENDERN: Die If-Schleife fuer alle Interfaces eintragen,
+                     die nicht deaktiviert werden sollen */
+        
+   
+    if (strcmp("wvlan1", dev->name) == 0) {
+       rc2 = original_ip_handler.orig_handler_func(skb, dev, type);     
+       goto exit_gracefully;
+    }
+    if (strcmp("eth0", dev->name) == 0) {
+       rc2 = original_ip_handler.orig_handler_func(skb, dev, type);     
+       goto exit_gracefully;
+    }
+    if (strcmp("eth0:1", dev->name) == 0) {
+       rc2 = original_ip_handler.orig_handler_func(skb, dev, type);     
+       goto exit_gracefully;
+    }
+   
+    /* Ende der Aenderungen */
+    
+    
+    
+    
+    
+   
+    
     if (strcmp("lo", dev->name) == 0) {
         /* grab the routing entry for loopback packets, in case we need
          * to send some later*/
         if (!BindingIpcUdp.dst) {
             BindingIpcUdp.dst = dst_clone(skb->dst);
         }
-        rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
-        goto exit_gracefully;
-    }
-
-    /* Don't handle non-eth non-ppp packets */
-    if(strncmp("eth",dev->name,3) && strncmp("ppp",dev->name,3)) {
         rc2 = original_ip_handler.orig_handler_func(skb, dev, type);
         goto exit_gracefully;
     }
